#ifndef MAX6954_PROTOTYPES_H
#define	MAX6954_PROTOTYPES_H
//------------------------------------------------------------------------------
#define DECODE_MODE_REG         0x01
#define GLOBAL_INTESITY_REG     0x02
#define SCAN_LIMIT_REG          0x03
#define SHUTDOWN_REG            0x04
#define DISPLAY_TEST_REG        0x07
//------------------------------------------------------------------------------
#define DISABLE_DECODE          0x00
#define DECODE_ALL              0xFF
#define BRIGHTNESS              0xFF
#define SCAN_LOW_NIBBLE         0x03
#define SCAN_ALL_DIGITS         0x07   
#define SHUTDOWN_MODE           0x00
#define NORMAL_OPERATION        0x01
#define DISABLE_TEST_MODE       0x00
#define ENABLE_TEST_MODE        0x01
#define DECIMAL_POINT           0x80
#define DISPLAY_REG0            0x20
//------------------------------------------------------------------------------
void MAX6954_init();
void MAX6954_write(char reg,signed char data);
void MAX6954_displayNumber(signed int number);
//------------------------------------------------------------------------------
#endif